[java-parent-project] branch main updated: Exit with non-success if Javadoc upload fails under PROMPT=false

Codeberg noreply at shibboleth.net
Sat Feb 14 05:05:31 UTC 2026


This is an automated email from the git hooks/post-receive script.

codeberg pushed a commit to branch main
in repository java-parent-project.

View the commit online:
https://codeberg.org/Shibboleth/java-parent-project/commit/3ff66133658bbc2c7b8a21a443f3fc4ef71d922f

The following commit(s) were added to refs/heads/main by this push:
     new 3ff6613  Exit with non-success if Javadoc upload fails under PROMPT=false
3ff6613 is described below

commit 3ff66133658bbc2c7b8a21a443f3fc4ef71d922f
Author: Brent Putman <putmanb at georgetown.edu>
AuthorDate: Sat Feb 14 00:02:03 2026 -0500

    Exit with non-success if Javadoc upload fails under PROMPT=false
---
 bin/build-and-deploy-javadoc.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/bin/build-and-deploy-javadoc.sh b/bin/build-and-deploy-javadoc.sh
index 99d57ff..34146c3 100755
--- a/bin/build-and-deploy-javadoc.sh
+++ b/bin/build-and-deploy-javadoc.sh
@@ -68,7 +68,7 @@ UPLOAD_SUCCESS=$?
 if [ "$PROMPT" == "false" ] ; then
     if [ $UPLOAD_SUCCESS != 0 ] ; then
         echo "Prompting is disabled but upload failed, aborting."
-        exit 0
+        exit $UPLOAD_SUCCESS
     else
         echo "Prompting is disabled, unpacking javadoc aggregate"
     fi

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the commits mailing list